# Atajo Ionic Client
An Ionic3 module for interacting with Atajo ( http://www.atajo-mobility.com )   

## Installation 
`
npm install --save atajo-ionic
`

## Getting Started

**1. Add AtajoModule to your `app.module.ts` :** 
```
...
import { AtajoModule } from 'atajo-ionic';
...
@NgModule({
  declarations: [ ... ],
  imports: [
    ...
    AtajoModule,
    ...
  ],
  bootstrap: [IonicApp],
  entryComponents: [ ... ],
  providers: [ ... ]
})
```

**2. Initialize** 

```
import { Config, Socket, Update } from 'atajo-ionic';

...
@Component({
  templateUrl: 'app.html'
})
export class MyApp {
  rootPage: any = ...;

  constructor(
    ...
    config: Config,
    socket: Socket,
    update: Update
    ...
  ) {
  
    update.isSuccessful(); // flags an update (if there was one) as successful

     platform.ready().then(() => {
      
      ...
      update.isSuccessful(); // flags an update (if there was one) as successful
      
      //initialize the remote configuration with your domain 
      config.initialize("mydomain").then(  

        () => { 
            update.checkForUpdate(); // checks if there is new remote code
           //connect the socket
           socket.connect(); 
        },
        error => { ... }
      ); 
      
      ...
      
     });
  }


}


 ```


## [Code Samples](./DOCS.md) 


## Contributing

**1. Build the module (re)link it**
```
npm run link; 
```

**2. Link it to your app**
```
cd <your-project-dir>; npm link atajo-ionic
```

**3. To expose your changes, relink it again**
```
npm run link; 
```

- Submit an Issue!
- Submit a Pull Request!
- Submit a Funny! 

